shithub: aubio

Download patch

ref: 9ccd89fae4ed7a7975483fa5fd6001dc8388f826
parent: d6001bf69d49c896d2c95940e884b49cd4f6564b
author: Paul Brossier <piem@piem.org>
date: Sun Jul 15 11:10:48 EDT 2012

interfaces/python/build_osx: update and build fat binary

--- a/interfaces/python/build_osx
+++ b/interfaces/python/build_osx
@@ -1,6 +1,9 @@
 #! /bin/sh
 
-export CFLAGS=-I/Users/piem/Library/Python/2.7/site-packages/numpy-1.8.0.dev_436a28f_20120710-py2.7-macosx-10.7-x86_64.egg/numpy/core/include/
+set -e
+set -x
+
+export CFLAGS="-I/Users/piem/Library/Python/2.7/site-packages/numpy-1.8.0.dev_436a28f_20120710-py2.7-macosx-10.7-x86_64.egg/numpy/core/include/ -arch i386 -arch x86_64"
 export LDFLAGS=-L../../build/src/
 python setup.py clean build
 export PYTHONPATH=./build/lib.macosx-10.6-intel-2.7:$PYTHONPATH